Package org.apache.cxf.phase

# Class PhaseComparator

java.lang.Object
org.apache.cxf.phase.PhaseComparator

All Implemented Interfaces:
  `Comparator<Phase>`

public class PhaseComparator extends Object implements Comparator<Phase>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PhaseComparator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compare(Phase o1, Phase o2)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Comparator

  `equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- ## Constructor Details

  - ### PhaseComparator

    public PhaseComparator()

- ## Method Details

  - ### compare

    public int compare(Phase o1, Phase o2)
    Specified by:
      `compare` in interface `Comparator<Phase>`